--Start values
cdalarm_infight = false
cdalarm_lock = true
cdalarm_proclaim_timestamps = {}
cdalarm_proclaim_texts ={}
cdalarm_last_spell_id = ""
cdalarm_last_spell_timestamp = 0
cdalarm_last_spell_event = ""
cdalarm_ingrp = false

cdalarm = {}
cdalarm.AceConfigDialog = LibStub("AceConfigDialog-3.0", true)
cdalarm.AceConfig = LibStub("AceConfig-3.0", true);
cdalarm.AceConsole= LibStub("AceConsole-3.0", true);
cdalarm.LSM = LibStub("LibSharedMedia-3.0", true);
cdalarm.LSMWidgets = LibStub("AceGUI-3.0-SharedMediaWidgets", true);

--Adding a sound: add the file in the sounds folder and 
--add following line unter this comment after changing the SOUNDNAME and SOUNDFILE:
--cdalarm.LSM:Register("sound", "SOUNDNAME", "Interface\\AddOns\\cdalarm\\sounds\\SOUNDFILE.wav")
for i=1,38 do
	if i<10 then	k = "0"..i
	else			k = ""..i end
	cdalarm.LSM:Register("sound", k, "Interface\\AddOns\\cdalarm\\sounds\\button_"..i..".ogg")
end

function cdalarm_OnEvent(self, event, ...)
	if event == "PLAYER_LOGIN" then
		cdalarm_load_variables(false)
		cdalarm_checkshow()
		cdalarm_setsound()
		
		cdalarm_frame_bg:SetWidth(cdalarm_frame_width)
		cdalarm_frame_bg:SetHeight(cdalarm_frame_height)
		cdalarm_frame_bg:SetPoint("TOPLEFT", UIParent, "TOPLEFT", cdalarm_frame_xvalue, cdalarm_frame_yvalue)
		cdalarm_change_frame_bg()
		
		cdalarm_optionpanel_OnLoad()
		cdalarm_frame_bg:SetMovable(false)
		cdalarm_frame_bg:EnableMouse(false)
		print("|CFFFF7D0ACDAlarm|r loaded")
	elseif event == "PLAYER_ENTER_COMBAT" then
		cdalarm_check_fulltext()
		cdalarm_infight = true
		cdalarm_checkshow()
	elseif event == "PLAYER_LEAVE_COMBAT" then
		cdalarm_check_fulltext()
		cdalarm_infight = false
		cdalarm_checkshow()
	else
		if cdalarm_show then
			cdalarm_check_fulltext()
			if cdalarm_infight or ( not(cdalarm_infight) and not(cdalarm_showonlyinfight)) then
				local eventchar  = select(2, ...)
				if(eventchar == "SPELL_AURA_APPLIED") then
					alarmtype = cdalarm_spellcheck(select(12, ...),  select(5, ...), eventchar)
					if(alarmtype ~="" and alarmtype ~="dejavue") then
						cdalarm_proclaim(alarmtype, select(13, ...), select(5, ...), select(9, ...), true)
					end
				elseif(eventchar == "SPELL_CAST_SUCCESS") then
					alarmtype = cdalarm_spellcheck(select(12, ...),  select(5, ...), eventchar)
					if(alarmtype ~="" and alarmtype ~="dejavue") then
						cdalarm_proclaim(alarmtype, select(13, ...), select(5, ...), select(9, ...), true)
					end
				elseif(eventchar == "SPELL_AURA_REMOVED") then
					alarmtype = cdalarm_spellcheck(select(12, ...),  select(5, ...), eventchar)
					if(alarmtype ~="" and alarmtype ~="dejavue") then
						cdalarm_proclaim(alarmtype, select(13, ...), select(5, ...), select(9, ...), false)
					end
				end
			end
		end
	end
end