--colors
-- 1: "Buff applied"-color	2:"Buff removed"-color
cdalarm_proclaim_text_status_color_default = {
		{"2cf22e", 0.1764705882352941, 0.9686274509803922, 0.1843137254901961},
		{ "bb3232", 0.7490196078431373, 0.203921568627451, 0.203921568627451}}
		
-- 1: caster	2: target	3: spell
cdalarm_proclaim_constant_colors_default = {
		{"fa56f8", 1, 0.3450980392156863, 0.9921568627450981},
		{"1815fa", 0.09803921568627451, 0.08627450980392157, 1},
		{"ce4c0c", 0.8274509803921568, 0.3058823529411765, 0.05098039215686274}}
-- 1:DK	2:Druide	3: Hunter	4: Mage	5: Paladin	6: Priest	7: Rogue	8:Shaman	9: Warlock	10: Warrior	11:Monk
cdalarm_proclaim_classcolor_default = {"C41F3B", "FF7D0A", "ABD473", "69CCF0", "F58CBA",
							"FFFFFF", "FFF569", "0070DE", "9482C9", "C79C6E",
							"558A84"}

--timing
cdalarm_proclaim_vanish_default = true
cdalarm_times_default = {3, 3}

--show
cdalarm_showonlyinfight_default = false
cdalarm_showonlyingrp_default = false
cdalarm_show_default = true

--sounds
-- 1: Soundfile		2: Channel
cdalarm_sounds_default = {{"01", "Master"},{"27", "Master"}}
cdalarm_allow_sounds_default = true


--Event msg templates
cdalarm_proclaim_buff_default = "{spell_cc} casted by {caster_cc} on {target_cc}"
cdalarm_proclaim_buff2_default = "{spell_cc} casted by {caster_cc} on {target_cc}"
cdalarm_proclaim_selfbuff_default = "{spell_cc} casted by {caster_cc}"
cdalarm_proclaim_selfbuff2_default = "{spell_cc} casted by {caster_cc}"
cdalarm_proclaim_grpbuff_default = "{spell_cc}"
cdalarm_proclaim_grpbuff2_default = "{spell_cc}"
cdalarm_proclaim_instant_default = "{caster_cc} casted {spell_cc} on {target_cc}"
cdalarm_proclaim_instantself_default = "{caster_cc} casted {spell_cc}"
-- 1: Buff applied	2: Buff removed
cdalarm_proclaim_text_status_default = {"active", "inactive"}


--Frame
cdalarm_frame_allow_scrolling_default = false
cdalarm_frame_font_default = "Friz Quadrata TT"
cdalarm_frame_font_align_default = "LEFT"
cdalarm_frame_fontsize_default = 14
cdalarm_frame_proclaim_xvalue_default = 20
cdalarm_frame_proclaim_yvalue_default = 0
cdalarm_frame_proclaim_spacing_default = 20
cdalarm_max_events_default = 5
cdalarm_frame_xvalue_default = 700
cdalarm_frame_yvalue_default = -500
cdalarm_backdrop_color_default ={0, 0, 0, 0.2400000095367432}
cdalarm_texture_bg_default = "Solid"
cdalarm_texture_insets_default = {0, 0, 0, 0}
cdalarm_tile_default = false
cdalarm_tile_size_default = 16
cdalarm_edge_size_default = 16
cdalarm_edge_texture_default = "None"
cdalarm_frame_width_default = 500
cdalarm_frame_height_default = 200
cdalarm_text_color_default = {{1, 1, 1, 1},{1, 0, 0, 1}}

cdalarm_sounds2play = {{"",""},{"",""}}

cdalarm_changelog = "10.07.12 - Added new spell list in optionpanels\n09.07.12 - Added sounds and colors optionpanels"

function cdalarm_print_variables()
	print("|CFF00FF00 List|r start")
	cdalarm_print_variable(cdalarm_proclaim_text_status_color, "cdalarm_proclaim_text_status_color")
	cdalarm_print_variable(cdalarm_proclaim_constant_colors, "cdalarm_proclaim_constant_colors")
	cdalarm_print_variable(cdalarm_proclaim_classcolor, "cdalarm_proclaim_classcolor")
	print(" ")
	cdalarm_print_variable(cdalarm_proclaim_vanish, "cdalarm_proclaim_vanish")
	cdalarm_print_variable(cdalarm_times_default, "cdalarm_times_default")
	print(" ")
	cdalarm_print_variable(cdalarm_showonlyinfight, "cdalarm_showonlyinfight")
	print(" ")
	cdalarm_print_variable(cdalarm_sounds2play, "cdalarm_sounds2play")
	cdalarm_print_variable(cdalarm_allow_sounds, "cdalarm_allow_sounds")
	print(" ")
	cdalarm_print_variable(cdalarm_proclaim_buff, "cdalarm_proclaim_buff")
	cdalarm_print_variable(cdalarm_proclaim_buff2, "cdalarm_proclaim_buff2")
	cdalarm_print_variable(cdalarm_proclaim_selfbuff, "cdalarm_proclaim_selfbuff")
	cdalarm_print_variable(cdalarm_proclaim_selfbuff2, "cdalarm_proclaim_selfbuff2")
	cdalarm_print_variable(cdalarm_proclaim_grpbuff, "cdalarm_proclaim_grpbuff")
	cdalarm_print_variable(cdalarm_proclaim_grpbuff2, "cdalarm_proclaim_grpbuff2")
	cdalarm_print_variable(cdalarm_proclaim_instant, "cdalarm_proclaim_instant")
	cdalarm_print_variable(cdalarm_proclaim_instantself, "cdalarm_proclaim_instantself")
	cdalarm_print_variable(cdalarm_proclaim_text_status, "cdalarm_proclaim_text_status")
	print(" ")
	cdalarm_print_variable(cdalarm_frame_proclaim_xvalue, "cdalarm_frame_proclaim_xvalue")
	cdalarm_print_variable(cdalarm_frame_proclaim_yvalue, "cdalarm_frame_proclaim_yvalue")
	cdalarm_print_variable(cdalarm_frame_proclaim_spacing, "cdalarm_frame_proclaim_spacing")
	print(" ")
	cdalarm_print_variable(cdalarm_frame_xvalue, "cdalarm_frame_xvalue")
	cdalarm_print_variable(cdalarm_frame_yvalue, "cdalarm_frame_yvalue")
	print(" ")
	
	cdalarm_print_variable(cdalarm_frame_allow_scrolling, "cdalarm_frame_allow_scrolling")
	cdalarm_print_variable(cdalarm_frame_font, "cdalarm_frame_font")
	cdalarm_print_variable(cdalarm_frame_fontsize, "cdalarm_frame_fontsize")
	cdalarm_print_variable(cdalarm_max_events, "cdalarm_max_events")
	cdalarm_print_variable(cdalarm_backdrop_color, "cdalarm_backdrop_color")
	cdalarm_print_variable(cdalarm_texture_bg, "cdalarm_texture_bg")
	cdalarm_print_variable(cdalarm_texture_insets, "cdalarm_texture_insets")
	cdalarm_print_variable(cdalarm_tile, "cdalarm_tile")
	cdalarm_print_variable(cdalarm_tile_size, "cdalarm_tile_size")
	cdalarm_print_variable(cdalarm_edge_size, "cdalarm_edge_size")
	cdalarm_print_variable(cdalarm_edge_texture, "cdalarm_edge_texture")
	cdalarm_print_variable(cdalarm_frame_width, "cdalarm_frame_width")
	cdalarm_print_variable(cdalarm_frame_height, "cdalarm_frame_height")
	cdalarm_print_variable(cdalarm_text_color, "cdalarm_text_color")
	print("|CFF00FF00 List|r end")
end

function cdalarm_print_variables_spells()
	print("|CFF00FF00 List|r start")
	cdalarm_print_variable(cdalarm_selfbuffs, "cdalarm_selfbuffs")
	cdalarm_print_variable(cdalarm_buffs, "cdalarm_buffs")
	cdalarm_print_variable(cdalarm_grpbuffs, "cdalarm_grpbuffs")
	cdalarm_print_variable(cdalarm_instants, "cdalarm_instants")
	cdalarm_print_variable(cdalarm_instantsself, "cdalarm_instantsself")
	print("|CFF00FF00 List|r end")
end

function cdalarm_load_variables(loaddefaults)
	if cdalarm_selfbuffs == nil or loaddefaults then cdalarm_selfbuffs = cdalarm_selfbuffs_defaults end
	if cdalarm_buffs == nil or loaddefaults then cdalarm_buffs = cdalarm_buffs_defaults end
	if cdalarm_grpbuffs == nil or loaddefaults then cdalarm_grpbuffs = cdalarm_grpbuffs_defaults end
	if cdalarm_instantsself == nil or loaddefaults then cdalarm_instantsself = cdalarm_instantsself_defaults end
	if cdalarm_instants == nil or loaddefaults then cdalarm_instants = cdalarm_instants_defaults end
	
	if cdalarm_proclaim_text_status_color == nil  or loaddefaults then cdalarm_proclaim_text_status_color = cdalarm_proclaim_text_status_color_default end
	if cdalarm_proclaim_constant_colors == nil  or loaddefaults then cdalarm_proclaim_constant_colors = cdalarm_proclaim_constant_colors_default end
	if cdalarm_proclaim_classcolor == nil  or loaddefaults then cdalarm_proclaim_classcolor = cdalarm_proclaim_classcolor_default end

	if cdalarm_proclaim_vanish == nil or loaddefaults then cdalarm_proclaim_vanish = cdalarm_proclaim_vanish_default end
	if cdalarm_times == nil or loaddefaults then cdalarm_times = cdalarm_times_default end

	if cdalarm_showonlyinfight == nil or loaddefaults then cdalarm_showonlyinfight = cdalarm_showonlyinfight_default end
	if cdalarm_show == nil or loaddefaults then cdalarm_show = cdalarm_show_default end
	
	if cdalarm_sounds == nil or loaddefaults then cdalarm_sounds = cdalarm_sounds_default end
	if cdalarm_allow_sounds == nil or loaddefaults then cdalarm_allow_sounds = cdalarm_allow_sounds_default end

	if type(cdalarm_proclaim_buff)=="string" or cdalarm_proclaim_buff == nil or loaddefaults then cdalarm_proclaim_buff = {nil, nil} end
	if cdalarm_proclaim_buff[1] == nil or loaddefaults then cdalarm_proclaim_buff[1] = cdalarm_proclaim_buff_default end
	if cdalarm_proclaim_buff[2] == nil or loaddefaults then cdalarm_proclaim_buff[2] = cdalarm_proclaim_buff_default end
	if type(cdalarm_proclaim_selfbuff)=="string" or cdalarm_proclaim_selfbuff == nil or loaddefaults then cdalarm_proclaim_selfbuff = {nil, nil} end
	if cdalarm_proclaim_selfbuff[1] == nil or loaddefaults then cdalarm_proclaim_selfbuff[1] = cdalarm_proclaim_selfbuff_default end
	if cdalarm_proclaim_selfbuff[2] == nil or loaddefaults then cdalarm_proclaim_selfbuff[2] = cdalarm_proclaim_selfbuff_default end
	if type(cdalarm_proclaim_grpbuff)=="string" or cdalarm_proclaim_grpbuff == nil or loaddefaults then cdalarm_proclaim_grpbuff = {nil, nil} end
	if cdalarm_proclaim_grpbuff[1] == nil or loaddefaults then cdalarm_proclaim_grpbuff[1] = cdalarm_proclaim_grpbuff_default end
	if cdalarm_proclaim_grpbuff[2] == nil or loaddefaults then cdalarm_proclaim_grpbuff[2] = cdalarm_proclaim_grpbuff_default end
	if cdalarm_proclaim_instant == nil or loaddefaults then cdalarm_proclaim_instant = cdalarm_proclaim_instant_default end
	if cdalarm_proclaim_instantself == nil or loaddefaults then cdalarm_proclaim_instantself = cdalarm_proclaim_instantself_default end
	if cdalarm_proclaim_text_status == nil or loaddefaults then cdalarm_proclaim_text_status = cdalarm_proclaim_text_status_default end
	
	if cdalarm_frame_proclaim_xvalue == nil or loaddefaults then cdalarm_frame_proclaim_xvalue = cdalarm_frame_proclaim_xvalue_default end
	if cdalarm_frame_proclaim_yvalue == nil or loaddefaults then cdalarm_frame_proclaim_yvalue = cdalarm_frame_proclaim_yvalue_default end
	if cdalarm_frame_proclaim_spacing == nil or loaddefaults then cdalarm_frame_proclaim_spacing = cdalarm_frame_proclaim_spacing_default end
	if cdalarm_frame_xvalue == nil or loaddefaults then cdalarm_frame_xvalue = cdalarm_frame_xvalue_default end
	if cdalarm_frame_yvalue == nil or loaddefaults then cdalarm_frame_yvalue = cdalarm_frame_yvalue_default end

	if cdalarm_frame_allow_scrolling == nil or loaddefaults then cdalarm_frame_allow_scrolling = cdalarm_frame_allow_scrolling_default end
	if cdalarm_frame_font_align == nil or loaddefaults then cdalarm_frame_font_align = cdalarm_frame_font_align_default end
	if cdalarm_frame_font == nil or loaddefaults then cdalarm_frame_font = cdalarm_frame_font_default end
	if cdalarm_frame_fontsize == nil or loaddefaults then cdalarm_frame_fontsize = cdalarm_frame_fontsize_default end
	if cdalarm_max_events == nil or loaddefaults then cdalarm_max_events = cdalarm_max_events_default end
	if cdalarm_backdrop_color == nil or loaddefaults then cdalarm_backdrop_color = cdalarm_backdrop_color_default end
	if cdalarm_texture_bg == nil or loaddefaults then cdalarm_texture_bg = cdalarm_texture_bg_default end
	if cdalarm_texture_insets == nil or loaddefaults then cdalarm_texture_insets = cdalarm_texture_insets_default end
	if cdalarm_tile == nil or loaddefaults then cdalarm_tile = cdalarm_tile_default end
	if cdalarm_tile_size == nil or loaddefaults then cdalarm_tile_size = cdalarm_tile_size_default end
	if cdalarm_edge_size == nil or loaddefaults then cdalarm_edge_size = cdalarm_edge_size_default end
	if cdalarm_edge_texture == nil or loaddefaults then cdalarm_edge_texture = cdalarm_edge_texture_default end
	if cdalarm_frame_width == nil or loaddefaults then cdalarm_frame_width = cdalarm_frame_width_default end
	if cdalarm_frame_height == nil or loaddefaults then cdalarm_frame_height = cdalarm_frame_height_default end
	if cdalarm_text_color == nil or loaddefaults then cdalarm_text_color = cdalarm_text_color_default end
	cdalarm_setsound()
end
