function cdalarm.panel_sounds()
	return {
		type = "group",
		order= 4,
		args = {
			allowsounds = {
				name = "Allow Sounds",
				order=1, type = "toggle",
				desc = "Sets the frame's background color (background texture has to be 'solid')",
				set = function(info,val) cdalarm_allow_sounds=val end,
				get = function() return cdalarm_allow_sounds end,
				},
			activesounds = {name = "Sound Options for active buffs", type="header", order=10},
			activesound = {
				name = "Sound",
				order=11, type = "select",
				dialogControl = "LSM30_Sound",
				desc = "Sets sound that is played when a buff becomes active",
				values = cdalarm.LSM:HashTable("sound"),
				set = function(self,key) cdalarm_sounds[1][1]=key cdalarm_setsound() end,
				get = function() return cdalarm_sounds[1][1] end,
				},
			activesoundchannel = {
				name = "Channel",
				order=12, type = "select", style = "dropdown",
				desc = "Sets sound channel that is used to play the sound",
				values = {["Master"]="Master", ["SFX"]="SFX", ["Ambience"]="Ambience", ["Music"]="Music"},
				set = function(self,key) cdalarm_sounds[1][2]=key cdalarm_setsound() end,
				get = function() return cdalarm_sounds[1][2] end,
				},
			inactivesounds = {name = "Sound Options for inactive buffs", type="header", order=20},
			inactivesound = {
				name = "Sound",
				order=21, type = "select",
				dialogControl = "LSM30_Sound",
				desc = "Sets sound that is played when a buff becomes inactive",
				values = cdalarm.LSM:HashTable("sound"),
				set = function(self,key) cdalarm_sounds[2][1]=key cdalarm_setsound() end,
				get = function() return cdalarm_sounds[2][1] end,
				},
			inactivesoundchannel = {
				name = "Channel",
				order=22, type = "select", style = "dropdown",
				desc = "Sets sound channel that is used to play the sound",
				values = {["Master"]="Master", ["SFX"]="SFX", ["Ambience"]="Ambience", ["Music"]="Music"},
				set = function(self,key) cdalarm_sounds[2][2]=key cdalarm_setsound() end,
				get = function() return cdalarm_sounds[2][2] end,
				},
			inactivesoundsspace = {name = "\n", type="description", order=23},
			channeltext = {name = "By choosing 'Master' as channel the sound will still be played when the gamesound is disabled", type = "description", order=-1, fontSize="medium"},
			}
		}
end
