function cdalarm_gen_optionpanel_spells()
	cdalarm.optionpanel_spells = CreateFrame( "Frame", "cdalarm_optionpanel_spells", cdalarm.optionpanel)
	cdalarm.optionpanel_spells.name = "Spells"
	cdalarm.optionpanel_spells.parent = "CD Alarm"

	
	
	cdalarm_spell_listing_start = -40
	cdalarm_spell_listing_space = 80
	cdalarm_spell_listing_start_1 = cdalarm_spell_listing_start
	cdalarm_spell_listing_start_2 = cdalarm_spell_listing_start_1+(#cdalarm_selfbuffs_defaults*-20)-cdalarm_spell_listing_space
	cdalarm_spell_listing_start_3 = cdalarm_spell_listing_start_2+(#cdalarm_buffs_defaults*-20)-cdalarm_spell_listing_space
	cdalarm_spell_listing_start_4 = cdalarm_spell_listing_start_3+(#cdalarm_grpbuffs_defaults*-20)-cdalarm_spell_listing_space
	cdalarm_spell_listing_start_5 = cdalarm_spell_listing_start_4+(#cdalarm_instants_defaults*-20)-cdalarm_spell_listing_space
	cdalarm_spell_listing_end = cdalarm_spell_listing_start_5+(#cdalarm_instantsself_defaults*-20)-cdalarm_spell_listing_space
	cdalarm_spell_checkbutton_x = {380, 420, 460, 500}
	
	--Title and subtitle
	panel_spells_text_title = cdalarm_textframe_template("|CFFFF7D0ACDAlarm|r option panel", "GameFontNormalLarge", cdalarm.optionpanel_spells, {1, 1, 1, 1}, 20, -20, "LEFT")

	panel_spells_raidrole_show_as = cdalarm_textframe_template("show when the raidrole of the caster is:", "", cdalarm.optionpanel_spells, {1, 1, 1, 1}, cdalarm_spell_checkbutton_x[1]-30, -40, "LEFT")
	panel_spells_raidrole_tank = cdalarm_textframe_template("tank", "", cdalarm.optionpanel_spells, {1, 1, 1, 1}, cdalarm_spell_checkbutton_x[1]-10, -60, "LEFT")
	panel_spells_raidrole_healer = cdalarm_textframe_template("healer", "", cdalarm.optionpanel_spells, {1, 1, 1, 1}, cdalarm_spell_checkbutton_x[2]-10, -60, "LEFT")
	panel_spells_raidrole_dd = cdalarm_textframe_template("dd", "", cdalarm.optionpanel_spells, {1, 1, 1, 1}, cdalarm_spell_checkbutton_x[3], -60, "LEFT")
	panel_spells_raidrole_undefined = cdalarm_textframe_template("not set", "", cdalarm.optionpanel_spells, {1, 1, 1, 1}, cdalarm_spell_checkbutton_x[4]-10, -60, "LEFT")
	
	
	
	cdalarm_spell_listing_start = -20
	cdalarm_spell_listing_space = 80
	cdalarm_spell_listing_per_row = -20
	cdalarm_spell_listing_start_1 = cdalarm_spell_listing_start
	cdalarm_spell_listing_start_2 = cdalarm_spell_listing_start_1+(#cdalarm_selfbuffs_defaults*cdalarm_spell_listing_per_row)-cdalarm_spell_listing_space
	cdalarm_spell_listing_start_3 = cdalarm_spell_listing_start_2+(#cdalarm_buffs_defaults*cdalarm_spell_listing_per_row)-cdalarm_spell_listing_space
	cdalarm_spell_listing_start_4 = cdalarm_spell_listing_start_3+(#cdalarm_grpbuffs_defaults*cdalarm_spell_listing_per_row)-cdalarm_spell_listing_space
	cdalarm_spell_listing_start_5 = cdalarm_spell_listing_start_4+(#cdalarm_instants_defaults*cdalarm_spell_listing_per_row)-cdalarm_spell_listing_space
	cdalarm_spell_listing_end = cdalarm_spell_listing_start_5+(#cdalarm_instantsself_defaults*cdalarm_spell_listing_per_row)-cdalarm_spell_listing_space
	cdalarm_spell_checkbutton_x = {380, 420, 460, 500}
	
	--ScrollFrame
	cdalarm.optionpanel_spells_scrollframe = CreateFrame( "Scrollframe", "optionpanel_spells_scrollframe", cdalarm.optionpanel_spells, "UIPanelScrollFrameTemplate")
	cdalarm.optionpanel_spells_scrollframe.name = "Spells Scrollframe"
	cdalarm.optionpanel_spells_scrollframe:SetWidth("590")
	cdalarm.optionpanel_spells_scrollframe:SetHeight("480")
	cdalarm.optionpanel_spells_scrollframe:SetPoint("TOPLEFT", 0 ,-80)
	cdalarm.optionpanel_spells_scrollframe.parent = optionpanel_spells
	
	cdalarm.optionpanel_spells_scrollframe_child = CreateFrame( "Frame", "optionpanel_spells_scrollframe_child", cdalarm.optionpanel_spells_scrollframe)
	cdalarm.optionpanel_spells_scrollframe_child.name = "Spells Scrollframe Child"
	cdalarm.optionpanel_spells_scrollframe_child:SetWidth("580")
	cdalarm.optionpanel_spells_scrollframe_child:SetHeight(-cdalarm_spell_listing_end)
	cdalarm.optionpanel_spells_scrollframe_child:SetPoint("TOPLEFT")
	cdalarm.optionpanel_spells_scrollframe_child.parent = optionpanel_spells_scrollframe
	
	cdalarm.optionpanel_spells_scrollframe:SetScrollChild(cdalarm.optionpanel_spells_scrollframe_child)
	
	--Scrollframe Content
	
	panel_spells_spellname={{}, {}, {}, {}, {}}
	panel_spells_checkbox={{{},{},{},{}}, {{},{},{},{}}, {{},{},{},{}}, {{},{},{},{}}, {{},{},{},{}}}
	
	local classlist = {"DEATHKNIGHT", "DRUID", "HUNTER", "MAGE", "MONK", "PALADIN", "PRIEST", "ROGUE", "SHAMAN", "WARLOCK", "WARRIOR", ""}
		
	panel_spells_text_selfbuff_title = cdalarm_textframe_template("buffs without targets", "GameFontNormalLarge", cdalarm.optionpanel_spells_scrollframe_child, {1, 1, 1, 1}, 20, cdalarm_spell_listing_start_1+20, "LEFT")

	
	local listing

	listing = 0
	for k=1, #classlist do 
		for i=1,#cdalarm_selfbuffs_defaults do
			if classlist[k] == cdalarm_selfbuffs_defaults[i][6] then
				listing=listing+1
				y = (listing*-20)+cdalarm_spell_listing_start_1
				panel_spells_spellname[1][i] = cdalarm_textframe_template(cdalarm_colorize_class(select(1, GetSpellInfo(cdalarm_selfbuffs_defaults[i][1])), false, cdalarm_selfbuffs_defaults[i][6]), "", cdalarm.optionpanel_spells_scrollframe_child, {1, 1, 1, 1}, 20, y, "LEFT")
				
				
				panel_spells_checkbox[1][1][i] = cdalarm_checkbox_template("panel_spells_checkbox[1][1]["..i.."]", "", "", cdalarm.optionpanel_spells_scrollframe_child, cdalarm_spell_checkbutton_x[1], y, 20, 20)
				if cdalarm_selfbuffs[i][2] then panel_spells_checkbox[1][1][i]:SetChecked(true) end
				panel_spells_checkbox[1][1][i]:SetScript("OnClick", function () cdalarm_selfbuffs[i][2]=panel_spells_checkbox[1][1][i]:GetChecked() cdalarm_selfbuffs[i][1] = cdalarm_selfbuffs_defaults[i][1] cdalarm_selfbuffs[i][6] = cdalarm_selfbuffs_defaults[i][6] end)
				
				panel_spells_checkbox[1][2][i] = cdalarm_checkbox_template("panel_spells_checkbox[1][2]["..i.."]", "", "", cdalarm.optionpanel_spells_scrollframe_child, cdalarm_spell_checkbutton_x[2], y, 20, 20)
				if cdalarm_selfbuffs[i][3] then panel_spells_checkbox[1][2][i]:SetChecked(true) end
				panel_spells_checkbox[1][2][i]:SetScript("OnClick", function () cdalarm_selfbuffs[i][3]=panel_spells_checkbox[1][2][i]:GetChecked() cdalarm_selfbuffs[i][1] = cdalarm_selfbuffs_defaults[i][1] cdalarm_selfbuffs[i][6] = cdalarm_selfbuffs_defaults[i][6] end)
				
				panel_spells_checkbox[1][3][i] = cdalarm_checkbox_template("panel_spells_checkbox[1][3]["..i.."]", "", "", cdalarm.optionpanel_spells_scrollframe_child, cdalarm_spell_checkbutton_x[3], y, 20, 20)
				if cdalarm_selfbuffs[i][4] then panel_spells_checkbox[1][3][i]:SetChecked(true) end
				panel_spells_checkbox[1][3][i]:SetScript("OnClick", function () cdalarm_selfbuffs[i][4]=panel_spells_checkbox[1][3][i]:GetChecked() cdalarm_selfbuffs[i][1] = cdalarm_selfbuffs_defaults[i][1] cdalarm_selfbuffs[i][6] = cdalarm_selfbuffs_defaults[i][6] end)
				
				panel_spells_checkbox[1][4][i] = cdalarm_checkbox_template("panel_spells_checkbox[1][4]["..i.."]", "", "", cdalarm.optionpanel_spells_scrollframe_child, cdalarm_spell_checkbutton_x[4], y, 20, 20)
				if cdalarm_selfbuffs[i][5] then panel_spells_checkbox[1][4][i]:SetChecked(true) end
				panel_spells_checkbox[1][4][i]:SetScript("OnClick", function () cdalarm_selfbuffs[i][5]=panel_spells_checkbox[1][4][i]:GetChecked() cdalarm_selfbuffs[i][1] = cdalarm_selfbuffs_defaults[i][1] cdalarm_selfbuffs[i][6] = cdalarm_selfbuffs_defaults[i][6] end)
			end
		end
	end
	
	panel_spells_text_buff_title = cdalarm_textframe_template("buffs with a single target", "GameFontNormalLarge", cdalarm.optionpanel_spells_scrollframe_child, {1, 1, 1, 1}, 20, cdalarm_spell_listing_start_2+20, "LEFT")
	listing = 0
	for k=1, #classlist do 
		for i=1,#cdalarm_buffs_defaults do
			if classlist[k] == cdalarm_buffs_defaults[i][6] then
				listing=listing+1
				y = (listing*-20)+cdalarm_spell_listing_start_2
				panel_spells_spellname[2][i] = cdalarm_textframe_template(cdalarm_colorize_class(select(1, GetSpellInfo(cdalarm_buffs_defaults[i][1])), false, cdalarm_buffs_defaults[i][6]), "", cdalarm.optionpanel_spells_scrollframe_child, {1, 1, 1, 1}, 20, y, "LEFT")
				
				panel_spells_checkbox[2][1][i] = cdalarm_checkbox_template("panel_spells_checkbox[2][1]["..i.."]", "", "", cdalarm.optionpanel_spells_scrollframe_child, cdalarm_spell_checkbutton_x[1], y, 20, 20)
				if cdalarm_buffs[i][2] then panel_spells_checkbox[2][1][i]:SetChecked(true) end
				panel_spells_checkbox[2][1][i]:SetScript("OnClick", function () cdalarm_buffs[i][2]=panel_spells_checkbox[2][1][i]:GetChecked() cdalarm_buffs[i][1] = cdalarm_buffs_defaults[i][1] cdalarm_buffs[i][6] = cdalarm_buffs_defaults[i][6] end)
				
				panel_spells_checkbox[2][2][i] = cdalarm_checkbox_template("panel_spells_checkbox[2][2]["..i.."]", "", "", cdalarm.optionpanel_spells_scrollframe_child, cdalarm_spell_checkbutton_x[2], y, 20, 20)
				if cdalarm_buffs[i][3] then panel_spells_checkbox[2][2][i]:SetChecked(true) end
				panel_spells_checkbox[2][2][i]:SetScript("OnClick", function () cdalarm_buffs[i][3]=panel_spells_checkbox[2][2][i]:GetChecked() cdalarm_buffs[i][1] = cdalarm_buffs_defaults[i][1] cdalarm_buffs[i][6] = cdalarm_buffs_defaults[i][6] end)
				
				panel_spells_checkbox[2][3][i] = cdalarm_checkbox_template("panel_spells_checkbox[2][3]["..i.."]", "", "", cdalarm.optionpanel_spells_scrollframe_child, cdalarm_spell_checkbutton_x[3], y, 20, 20)
				if cdalarm_buffs[i][4] then panel_spells_checkbox[2][3][i]:SetChecked(true) end
				panel_spells_checkbox[2][3][i]:SetScript("OnClick", function () cdalarm_buffs[i][4]=panel_spells_checkbox[2][3][i]:GetChecked() cdalarm_buffs[i][1] = cdalarm_buffs_defaults[i][1] cdalarm_buffs[i][6] = cdalarm_buffs_defaults[i][6] end)
				
				panel_spells_checkbox[2][4][i] = cdalarm_checkbox_template("panel_spells_checkbox[2][4]["..i.."]", "", "", cdalarm.optionpanel_spells_scrollframe_child, cdalarm_spell_checkbutton_x[4], y, 20, 20)
				if cdalarm_buffs[i][5] then panel_spells_checkbox[2][4][i]:SetChecked(true) end
				panel_spells_checkbox[2][4][i]:SetScript("OnClick", function () cdalarm_buffs[i][5]=panel_spells_checkbox[2][4][i]:GetChecked() cdalarm_buffs[i][1] = cdalarm_buffs_defaults[i][1] cdalarm_buffs[i][6] = cdalarm_buffs_defaults[i][6] end)
			end
		end
	end
	
	panel_spells_text_grpbuffs_title = cdalarm_textframe_template("buffs effecting multiple targets", "GameFontNormalLarge", cdalarm.optionpanel_spells_scrollframe_child, {1, 1, 1, 1}, 20, cdalarm_spell_listing_start_3+20, "LEFT")
	listing = 0
	for k=1, #classlist do 
		for i=1,#cdalarm_grpbuffs_defaults do
			if classlist[k] == cdalarm_grpbuffs_defaults[i][6] then
				listing=listing+1
				y = (listing*-20)+cdalarm_spell_listing_start_3
				panel_spells_spellname[3][i] = cdalarm_textframe_template(cdalarm_colorize_class(select(1, GetSpellInfo(cdalarm_grpbuffs_defaults[i][1])), false, cdalarm_grpbuffs_defaults[i][6]), "", cdalarm.optionpanel_spells_scrollframe_child, {1, 1, 1, 1}, 20, y, "LEFT")
				
				panel_spells_checkbox[3][1][i] = cdalarm_checkbox_template("panel_spells_checkbox[3][1]["..i.."]", "", "", cdalarm.optionpanel_spells_scrollframe_child, cdalarm_spell_checkbutton_x[1], y, 20, 20)
				if cdalarm_grpbuffs[i][2] then panel_spells_checkbox[3][1][i]:SetChecked(true) end
				panel_spells_checkbox[3][1][i]:SetScript("OnClick", function () cdalarm_grpbuffs[i][2]=panel_spells_checkbox[3][1][i]:GetChecked() cdalarm_grpbuffs[i][1] = cdalarm_grpbuffs_defaults[i][1] cdalarm_grpbuffs[i][6] = cdalarm_grpbuffs_defaults[i][6] end)
				
				panel_spells_checkbox[3][2][i] = cdalarm_checkbox_template("panel_spells_checkbox[3][2]["..i.."]", "", "", cdalarm.optionpanel_spells_scrollframe_child, cdalarm_spell_checkbutton_x[2], y, 20, 20)
				if cdalarm_grpbuffs[i][3] then panel_spells_checkbox[3][2][i]:SetChecked(true) end
				panel_spells_checkbox[3][2][i]:SetScript("OnClick", function () cdalarm_grpbuffs[i][3]=panel_spells_checkbox[3][2][i]:GetChecked() cdalarm_grpbuffs[i][1] = cdalarm_grpbuffs_defaults[i][1] cdalarm_grpbuffs[i][6] = cdalarm_grpbuffs_defaults[i][6] end)
				
				panel_spells_checkbox[3][3][i] = cdalarm_checkbox_template("panel_spells_checkbox[3][3]["..i.."]", "", "", cdalarm.optionpanel_spells_scrollframe_child, cdalarm_spell_checkbutton_x[3], y, 20, 20)
				if cdalarm_grpbuffs[i][4] then panel_spells_checkbox[3][3][i]:SetChecked(true) end
				panel_spells_checkbox[3][3][i]:SetScript("OnClick", function () cdalarm_grpbuffs[i][4]=panel_spells_checkbox[3][3][i]:GetChecked() cdalarm_grpbuffs[i][1] = cdalarm_grpbuffs_defaults[i][1] cdalarm_grpbuffs[i][6] = cdalarm_grpbuffs_defaults[i][6] end)
				
				panel_spells_checkbox[3][4][i] = cdalarm_checkbox_template("panel_spells_checkbox[3][4]["..i.."]", "", "", cdalarm.optionpanel_spells_scrollframe_child, cdalarm_spell_checkbutton_x[4], y, 20, 20)
				if cdalarm_grpbuffs[i][5] then panel_spells_checkbox[3][4][i]:SetChecked(true) end
				panel_spells_checkbox[3][4][i]:SetScript("OnClick", function () cdalarm_grpbuffs[i][5]=panel_spells_checkbox[3][4][i]:GetChecked() cdalarm_grpbuffs[i][1] = cdalarm_grpbuffs_defaults[i][1] cdalarm_grpbuffs[i][6] = cdalarm_grpbuffs_defaults[i][6] end)
			end
		end
	end
	
	panel_spells_text_instants_title = cdalarm_textframe_template("casts with targets", "GameFontNormalLarge", cdalarm.optionpanel_spells_scrollframe_child, {1, 1, 1, 1}, 20, cdalarm_spell_listing_start_4+20, "LEFT")
	listing = 0
	for k=1, #classlist do
		for i=1,#cdalarm_instants_defaults do
			if classlist[k] == cdalarm_instants_defaults[i][6] then
				listing=listing+1
				y = (listing*-20)+cdalarm_spell_listing_start_4
				panel_spells_spellname[4][i] = cdalarm_textframe_template(cdalarm_colorize_class(select(1, GetSpellInfo(cdalarm_instants_defaults[i][1])), false, cdalarm_instants_defaults[i][6]), "", cdalarm.optionpanel_spells_scrollframe_child, {1, 1, 1, 1}, 20, y, "LEFT")
				
				panel_spells_checkbox[4][1][i] = cdalarm_checkbox_template("panel_spells_checkbox[4][1]["..i.."]", "", "", cdalarm.optionpanel_spells_scrollframe_child, cdalarm_spell_checkbutton_x[1], y, 20, 20)
				if cdalarm_instants[i][2] then panel_spells_checkbox[4][1][i]:SetChecked(true) end
				panel_spells_checkbox[4][1][i]:SetScript("OnClick", function () cdalarm_instants[i][2]=panel_spells_checkbox[4][1][i]:GetChecked() cdalarm_instants[i][1] = cdalarm_instants_defaults[i][1] cdalarm_instants[i][6] = cdalarm_instants_defaults[i][6] end)
				
				panel_spells_checkbox[4][2][i] = cdalarm_checkbox_template("panel_spells_checkbox[4][2]["..i.."]", "", "", cdalarm.optionpanel_spells_scrollframe_child, cdalarm_spell_checkbutton_x[2], y, 20, 20)
				if cdalarm_instants[i][3] then panel_spells_checkbox[4][2][i]:SetChecked(true) end
				panel_spells_checkbox[4][2][i]:SetScript("OnClick", function () cdalarm_instants[i][3]=panel_spells_checkbox[4][2][i]:GetChecked() cdalarm_instants[i][1] = cdalarm_instants_defaults[i][1] cdalarm_instants[i][6] = cdalarm_instants_defaults[i][6] end)
				
				panel_spells_checkbox[4][3][i] = cdalarm_checkbox_template("panel_spells_checkbox[4][3]["..i.."]", "", "", cdalarm.optionpanel_spells_scrollframe_child, cdalarm_spell_checkbutton_x[3], y, 20, 20)
				if cdalarm_instants[i][4] then panel_spells_checkbox[4][3][i]:SetChecked(true) end
				panel_spells_checkbox[4][3][i]:SetScript("OnClick", function () cdalarm_instants[i][4]=panel_spells_checkbox[4][3][i]:GetChecked() cdalarm_instants[i][1] = cdalarm_instants_defaults[i][1] cdalarm_instants[i][6] = cdalarm_instants_defaults[i][6] end)
				
				panel_spells_checkbox[4][4][i] = cdalarm_checkbox_template("panel_spells_checkbox[4][4]["..i.."]", "", "", cdalarm.optionpanel_spells_scrollframe_child, cdalarm_spell_checkbutton_x[4], y, 20, 20)
				if cdalarm_instants[i][5] then panel_spells_checkbox[4][4][i]:SetChecked(true) end
				panel_spells_checkbox[4][4][i]:SetScript("OnClick", function () cdalarm_instants[i][5]=panel_spells_checkbox[4][4][i]:GetChecked() cdalarm_instants[i][1] = cdalarm_instants_defaults[i][1] cdalarm_instants[i][6] = cdalarm_instants_defaults[i][6] end)
			end
		end
	end
	
	
	
	
	panel_spells_text_instantsself_title = cdalarm_textframe_template("casts without targets", "GameFontNormalLarge", cdalarm.optionpanel_spells_scrollframe_child, {1, 1, 1, 1}, 20, cdalarm_spell_listing_start_5+20, "LEFT")
	listing = 0
	for k=1, #classlist do
	for i=1,#cdalarm_instantsself_defaults do
			if classlist[k] == cdalarm_instantsself_defaults[i][6] then
				listing=listing+1
				y = (listing*-20)+cdalarm_spell_listing_start_5
				panel_spells_spellname[5][i] = cdalarm_textframe_template(cdalarm_colorize_class(select(1, GetSpellInfo(cdalarm_instantsself_defaults[i][1])), false, cdalarm_instantsself_defaults[i][6]), "", cdalarm.optionpanel_spells_scrollframe_child, {1, 1, 1, 1}, 20, y, "LEFT")
				
				panel_spells_checkbox[5][1][i] = cdalarm_checkbox_template("panel_spells_checkbox[5][1]["..i.."]", "", "", cdalarm.optionpanel_spells_scrollframe_child, cdalarm_spell_checkbutton_x[1], y, 20, 20)
				if cdalarm_instantsself[i][2] then panel_spells_checkbox[5][1][i]:SetChecked(true) end
				panel_spells_checkbox[5][1][i]:SetScript("OnClick", function () cdalarm_instantsself[i][2]=panel_spells_checkbox[5][1][i]:GetChecked() cdalarm_instantsself[i][1] = cdalarm_instantsself_defaults[i][1] cdalarm_instantsself[i][6] = cdalarm_instantsself_defaults[i][6] end)
				
				panel_spells_checkbox[5][2][i] = cdalarm_checkbox_template("panel_spells_checkbox[5][2]["..i.."]", "", "", cdalarm.optionpanel_spells_scrollframe_child, cdalarm_spell_checkbutton_x[2], y, 20, 20)
				if cdalarm_instantsself[i][3] then panel_spells_checkbox[5][2][i]:SetChecked(true) end
				panel_spells_checkbox[5][2][i]:SetScript("OnClick", function () cdalarm_instantsself[i][3]=panel_spells_checkbox[5][2][i]:GetChecked() cdalarm_instantsself[i][1] = cdalarm_instantsself_defaults[i][1] cdalarm_instantsself[i][6] = cdalarm_instantsself_defaults[i][6] end)
				
				panel_spells_checkbox[5][3][i] = cdalarm_checkbox_template("panel_spells_checkbox[5][3]["..i.."]", "", "", cdalarm.optionpanel_spells_scrollframe_child, cdalarm_spell_checkbutton_x[3], y, 20, 20)
				if cdalarm_instantsself[i][4] then panel_spells_checkbox[5][3][i]:SetChecked(true) end
				panel_spells_checkbox[5][3][i]:SetScript("OnClick", function () cdalarm_instantsself[i][4]=panel_spells_checkbox[5][3][i]:GetChecked() cdalarm_instantsself[i][1] = cdalarm_instantsself_defaults[i][1] cdalarm_instantsself[i][6] = cdalarm_instantsself_defaults[i][6] end)
				
				panel_spells_checkbox[5][4][i] = cdalarm_checkbox_template("panel_spells_checkbox[5][4]["..i.."]", "", "", cdalarm.optionpanel_spells_scrollframe_child, cdalarm_spell_checkbutton_x[4], y, 20, 20)
				if cdalarm_instantsself[i][5] then panel_spells_checkbox[5][4][i]:SetChecked(true) end
				panel_spells_checkbox[5][4][i]:SetScript("OnClick", function () cdalarm_instantsself[i][5]=panel_spells_checkbox[5][4][i]:GetChecked() cdalarm_instantsself[i][1] = cdalarm_instantsself_defaults[i][1] cdalarm_instantsself[i][6] = cdalarm_instantsself_defaults[i][6] end)
			end
		end
	end

	
	InterfaceOptions_AddCategory(cdalarm.optionpanel_spells)
end