--array[string][boolean][boolean][boolean][boolean] = {
--{spellid, show_as_tank, show_as_healer, show_as_dd, show_as_undefined}
--}


--buffs without target
cdalarm_selfbuffs_defaults = {
	{"48707", true, true, true, true, "DEATHKNIGHT"},	--Anti-magic Shell
	{"48743", true, true, true, true, "DEATHKNIGHT"},	--Death Pact
	{"48792", true, true, true, true, "DEATHKNIGHT"},	--Icebound Fortitude
	{"55233", true, true, true, true, "DEATHKNIGHT"},	--Vampiric Blood
	{"498", true, true, true, true, "PALADIN"},			--Devine Protection
	{"31850", true, true, true, true, "PALADIN"},		--Ardent Defender
	{"20925", true, true, true, true, "PALADIN"},		--Holy Shield
	{"86150", true, true, true, true, "PALADIN"},		--Guardian of Ancient Kings		X
	{"642", true, true, true, true, "PALADIN"},			--Divine shield
	{"31884", true, true, true, true, "PALADIN"},		--Avenging Wrath
	{"19263", true, true, true, true, "HUNTER"},		--Deterrence
	{"2565", true, true, true, true, "WARRIOR"},		--Shield block
	{"12976", true, true, true, true, "WARRIOR"},		--Last Stand
	{"871", true, true, true, true, "WARRIOR"},			--Shield Wall
	{"55694", true, true, true, true, "WARRIOR"},		--Enraged regeneration
	{"20230", true, true, true, true, "WARRIOR"},		--Retaliation
	{"1719", true, true, true, true, "WARRIOR"},		--Recklessness
	{"61336", true, true, true, true, "DRUID"},			--Survival instincts			X
	{"22812", true, true, true, true, "DRUID"},			--Barkskin
	{"22842", true, true, true, true, "DRUID"},			--Frenzied Regeneration
	{"33891", true, true, true, true, "DRUID"},			--Tree of Life
	{"45438", true, true, true, true, "MAGE"},			--Iceblock
	{"12051", true, true, true, true, "MAGE"},			--Evocation
	{"1966", true, true, true, true, "ROGUE"},			--Feint							X
	{"74001", true, true, true, true, "ROGUE"},			--Combat Readiness				X
	{"5277", true, true, true, true, "ROGUE"},			--Evasion
	{"34433", true, true, true, true, "PRIEST"},		--Shadowfiend
	{"79206", true, true, true, true, "SHAMAN"},		--Spiritwalkers grace			X
	
	}


--buffs that effect a single target
cdalarm_buffs_defaults = {
	{"1038", true, true, true, true, "PALADIN"},		--Hand of Salvation
	{"1022", true, true, true, true, "PALADIN"},		--Hand of Protection
	{"1044", true, true, true, true, "PALADIN"},		--Hand of Freedom
	{"6940", true, true, true, true, "PALADIN"},		--Hand of Sacrifice
	{"29166", true, true, true, true, "DRUID"},			--Innervate
	{"10060", true, true, true, true, "PRIEST"},		--Powerinfusion
	{"47788", true, true, true, true, "PRIEST"},		--Guardian Spirit				X
	{"33206", true, true, true, true, "PRIEST"},		--Painsupression
	{"6346", true, true, true, true, "PRIEST"}			--Fear Ward						X
	}

--buffs that effect multiple targets
cdalarm_grpbuffs_defaults  = {
	{"64843", true, true, true, true, "PRIEST"},		--Divine Hymn					X
	{"64901", true, true, true, true, "PRIEST"},		--Hymn of Hope
	{"80353", true, true, true, true, "MAGE"},			--Time warp
	{"8143", true, true, true, true, "SHAMAN"},			--Tremor Totem					X	TOTEM
	{"16190", true, true, true, true, "SHAMAN"},		--Mana Tide Totem				X	TOTEM
	{"98008", true, true, true, true, "SHAMAN"},		--Spirit Link Totem				X	TOTEM
	{"2825", true, true, true, true, "SHAMAN"},			--Bloodlust						X
	{"32182", true, true, true, true, "SHAMAN"},		--Heroism
	{"31821", true, true, true, true, "PALADIN"},		--Aura Mastery					X
	{"70940", true, true, true, true, "PALADIN"},		--Divine Guardian				X
	{"97463", true, true, true, true, "WARRIOR"},		--Rallying Cry
	{"740", true, true, true, true, "DRUID"},			--Tranquility					X
	{"77764", true, true, true, true, "DRUID"},			--Stampeding Roar(Cat Form)		X
	{"77761", true, true, true, true, "DRUID"}			--Stampeding Roar(Bear Form)	X
	}
	
--casts without targets	
cdalarm_instantsself_defaults = {
	{"51052", true, true, true, true, "DEATHKNIGHT"},	--Anti-magic Field				X
	{"48743", true, true, true, true, "DEATHKNIGHT"},	--Death Pact					X
	{"62618", true, true, true, true, "PRIEST"},		--Power Word Barrier
	{"58984", true, true, true, true, ""},				--Shadowmeld
	{"16689", true, true, true, true, "DRUID"},			--Nature's Grasp				X
	{"5209", true, true, true, true, "DRUID"},			--Challenging Roar				X
	{"48020", true, true, true, true, "WARLOCK"},		--Demonic Circle: Teleport
	{"1953", true, true, true, true, "MAGE"},			--Blink							X
	{"82676", true, true, true, true, "MAGE"},			--Ring of Frost					X
	{"66", true, true, true, true, "MAGE"},				--Invisibility					X
	{"76577", true, true, true, true, "ROGUE"},			--Smokebomb
	{"1856", true, true, true, true, "ROGUE"},			--Vanish
	{"5384", true, true, true, true, "HUNTER"},			--Feign Death					X
	{"20484", true, true, true, true, "SHAMAN"},		--Rebirth						X
	{"31789", true, true, true, true, "PALADIN"},		--Righteous Defense				X
	{"1161", true, true, true, true, "WARRIOR"}			--Challenging Shout
	}

--casts that effect a single target
cdalarm_instants_defaults = {
	{"49576", true, true, true, true, "DEATHKNIGHT"},	--Death Grip					X
	{"56222", true, true, true, true, "DEATHKNIGHT"},	--Dark Command
	{"3411", true, true, true, true, "DRUID"},			--Intervene
	{"6795", true, true, true, true, "DRUID"},			--Growl							X
	{"20608", true, true, true, true, "DRUID"},			--Reincarnation					X
	{"2094", true, true, true, true, "ROGUE"},			--Blind
	{"34477", true, true, true, true, "HUNTER"},		--Misdirection					X
	{"53271", true, true, true, true, "HUNTER"},		--master's Call
	{"73325", true, true, true, true, "PRIEST"},		--Leap of Faith
	{"355", true, true, true, true, "WARRIOR"},			--Taunt
	{"633", true, true, true, true, "PALADIN"},			--Lay on hands
	{"62124", true, true, true, true, "PALADIN"}		--Hand of Reckoning				X
	}
